<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.fjhx.mapper.production.ProductionLineMapper">

    <select id="getPage" resultType="com.fjhx.params.production.ProductionLineEx">
        select pl.id,
               pl.production_workshop_id,
               pl.name,
               pl.capacity,
               pl.introduce,
               pl.status,
               pw.name productionWorkshopName
        from production_line pl
                 left join production_workshop pw on pl.production_workshop_id = pw.id
            ${ew.customSqlSegment}
    </select>

</mapper>
